package cn.rankin.userservice.controller;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.common.utils.enums.EventTypeEnum;
import cn.rankin.data.api.user.dto.DownloadInfoDTO;
import cn.rankin.data.api.user.entity.DownloadInfo;
import cn.rankin.data.api.user.entity.UserDevice;
import cn.rankin.userservice.helper.RaStringHelper;
import cn.rankin.userservice.service.DownloadInfoService;
import cn.rankin.userservice.service.UserDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping(value = "/userDevice")
public class UserDeviceController
{

    @Autowired
    private UserDeviceService userDeviceService;


    @RequestMapping(value = "/setUserDevice/{uid}", method = RequestMethod.GET)
    public UserDevice bindingDevice(@PathVariable("uid") String uid,
                                         @RequestParam("deviceCode") String deviceCode,
                                         @RequestParam("deviceMode") String deviceMode,
                                         @RequestParam("deviceMfrs") String deviceMfrs,
                                         @RequestParam("deviceBrand") String deviceBrand){

        if(RaStringHelper.isNull(uid))
        {
            return null;
        }
        if(RaStringHelper.isNull(deviceCode))
        {
            return null;
        }
        if(RaStringHelper.isNull(deviceMode))
        {
            return null;
        }
        if(RaStringHelper.isNull(deviceMfrs))
        {
            return null;
        }
        if(RaStringHelper.isNull(deviceBrand))
        {
            return null;
        }

        UserDevice userDevice = userDeviceService.findDevice(uid,deviceCode,deviceMode,deviceMfrs,deviceBrand);
        if(userDevice!=null)
        {
            int num = userDevice.getNum()+1;
            userDeviceService.updateDevice(uid,deviceCode,deviceMode,deviceMfrs,deviceBrand,num);
        }

        return userDevice;
    }

}
